import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import {
	WeaSearchGroup,
	WeaTableEdit
} from 'ecCom';
import {
	i18n
} from '../../public/i18n';

@observer
export default class FieldSettingExplain extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			store
		} = this.props;
		const {
			fieldSettingExplainConditon
		} = store;
		let items = [],
			children = [];
		items.push({
			com: <div className='explain'>{children}</div>
		})
		fieldSettingExplainConditon.items.map((item, index) => {
			children.push(<div>{`${item.index}. ${item.value}`}</div>)
		})

		return (
			<WeaSearchGroup ecId={`${this && this.props && this.props.ecId || ''}_WeaSearchGroup@0jmgzy`} col={1} title={fieldSettingExplainConditon.title} showGroup={fieldSettingExplainConditon.defaultshow} items={items}></WeaSearchGroup>
		)
	}
}